libdvbv5: dvb_table_nit_transport Struct Reference

libdvbv5 1.28.1 Library to work with Digital TV devices on Linux

Data Fields
dvb_table_nit_transport Struct Reference
Digital TV table parsing

MPEG-TS NIT transport table. More...

`#include <nit.h>`

## Data Fields
uint16_t | transport_id
uint16_t | network_id
union { |
uint16_t bitfield |
struct { |
uint16_t desc_length:12 |
uint16_t reserved:4 |
} |  |
}; |  |
struct dvb_desc * | descriptor
struct dvb_table_nit_transport * | next

## Detailed Description

MPEG-TS NIT transport table.

Parameters

  transport_id | transport id
  network_id | network id
  desc_length | desc length
  descriptor | pointer to struct dvb_desc
  next | pointer to struct dvb_table_nit_transport

This structure is used to store the original NIT transport table, converting the integer fields to the CPU endianness.

The undocumented parameters are used only internally by the API and/or are fields that are reserved. They shouldn't be used, as they may change on future API releases.

Everything after dvb_table_nit_transport::descriptor (including it) won't be bit-mapped to the data parsed from the MPEG TS. So, metadata are added there.

Definition at line 109 of file nit.h.

## Field Documentation

## ◆ [union]

union { ... } dvb_table_nit_transport

## ◆ bitfield

uint16_t dvb_table_nit_transport::bitfield

Definition at line 113 of file nit.h.

## ◆ desc_length

uint16_t dvb_table_nit_transport::desc_length

Definition at line 115 of file nit.h.

## ◆ descriptor

struct dvb_desc* dvb_table_nit_transport::descriptor

Definition at line 119 of file nit.h.

## ◆ network_id

uint16_t dvb_table_nit_transport::network_id

Definition at line 111 of file nit.h.

## ◆ next

struct dvb_table_nit_transport* dvb_table_nit_transport::next

Definition at line 120 of file nit.h.

## ◆ reserved

uint16_t dvb_table_nit_transport::reserved

Definition at line 116 of file nit.h.

## ◆ transport_id

uint16_t dvb_table_nit_transport::transport_id

Definition at line 110 of file nit.h.

The documentation for this struct was generated from the following file:

- lib/include/libdvbv5/nit.h